#
# spec file for package python-mockito
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-mockito
Version:        1.0.12
Release:        17.1
Summary:        Spying framework
License:        MIT
Group:          Development/Languages/Python
Url:            http://mockito-python.readthedocs.io/en/latest/
Source:         https://files.pythonhosted.org/packages/source/m/mockito/mockito-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%ifpython2
Requires:       python2-funcsigs
%endif
%python_subpackages

%description
Mockito is a spying framework originally based on the Java library with the same name.

%prep
%setup -q -n mockito-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc AUTHORS CHANGES.txt README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Mon Dec 11 2017 sebix+novell.com@sebix.at
- update to version 1.0.12
  * see CHANGES.txt for a detailed changelog
  * changes in version 1.0.12:
  - Better error messages for failed verifications.
  * changes in version 1.0.7 - 1.0.10
  - ``verifyZeroInteractions`` implemented. This is actually a *breaking change*, because ``verifyZeroInteractions`` was an alias for ``verifyNoMoreInteractions`` (sic!).
  - All `verify*` functions now warn you if you pass in an object which was never stubbed.
  * changes in version 1.0.0 - 1.0.5
  - mockito's strict mode is far more strict than before
  - ``mock``, ``when``, ``verify`` return mostly empty objects. It is unlikely to have a method_name clash.
  - ``Mock()`` is now an implementation detail; it is **not** exported anymore. Use ``mock()``.
  * changes in version 0.7.1:
  - bugfixes
  * changes in version 0.7.0:
  - bugfixes
  * changes in version 0.6.1:
  - Added ``thenAnswer(callable)``. The callable will be called to compute the answer the stubbed method will return. For that it will receive the arguments of the caller.
  * changes in version 0.6.0:
  - Breaking change: Throw early when calling not expected methods in strict mode.
  * changes in version 0.5.3:
  - Remove hard coded distribute setup files.
- Remove no longer needed patch python-mockito-0.5.2-setup.py.patch
* Sun Dec  8 2013 p.drouand@gmail.com
- Update to version 0.5.2
  + No changelog available
- Remove redundant %%clean section
- Adapt setup.py.patch to upstream changes
- Rename it to respect standard naming conventions
- Remove python-mockito.rpmlintrc; problem of execution bits have
  been fixed by upstream
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Jul 18 2013 berendt@b1-systems.de
- added python-mockito.rpmlintrc
- added setup.py.patch to make package buildable on SLES11 SP3
* Thu Jul 18 2013 berendt@b1-systems.de
- added missing python-mockito.changes file
- cleaning up the SPEC
